Which Linux OS variants are supported for SAP on AWS?

0

Which Linux OS variants are supported for SAP on AWS?

NOTE: This is a common question asked by AWS customers. The AWS team is posting it to provide an answer that can benefit everyone.

profile picture
asked 5 months ago48 views
1 Answer
2
Accepted Answer

SAP supports 3 Linux OS variants on AWS :

• SUSE Linux Enterprise Server (SLES)

• Red Hat Enterprise Linux (RHEL)

• Oracle Enterprise Linux (OEL, required if running SAP on Oracle only)

Both SLES & RHEL can be used to run any SAP on AWS workloads, except the Oracle database which requires Oracle Linux (see related question on Oracle Linux in FAQ).

SLES & SLES For SAP are both supported for running SAP workloads. SLES For SAP contains SAP-specific addons which make it easier to configure an SAP system, including SAP High-Availability support.

As per SAP Note 2871484, starting with Red Hat Enterprise Linux 8 (RHEL 8), either "RHEL for SAP Solutions" or "RHEL for SAP Applications" are required for running SAP applications in production environments.

OS licenses can either be purchased directly through AWS (included in EC2 costs), directly from the OS vendor (BYO License to AWS), or through the AWS Marketplace for SAP specific versions (SLES & RHEL only).

NOTE: This answer is provided by the SAP on AWS specialty team and is accurate at the time of publish. Please check comments as the answer may have changed/services evolved.

profile picture
Deep_K
answered 5 months ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions